Bug 179996 - [RFE] UI improvements in network configuration screen
[RFE] UI improvements in network configuration screen
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: FutureFeature
Depends On:
Blocks: FC6Target
  Show dependency treegraph
Reported: 2006-02-04 08:22 EST by Dawid Gajownik
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-08 15:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dawid Gajownik 2006-02-04 08:22:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20060203 SeaMonkey/1.5a

Description of problem:
One of the installer step is similar to this one → http://fedora.redhat.com/docs/fedora-install-guide-en/fc4/figs/net-config-dhcp.png In "Miscellaneous Settings" user can provide IP settings of gateway and DNS servers.

Try typing for example After "192" you have to press TAB or use your mouse to place cursor in the next left field. IMHO this could be done automatically after typing third number.

It would be also nice if keyboard arrows could change mentioned position of the cursor. For instance, after typing "0", left arrow would place cursor in the next left field.

Oh, if you place cursor in prevoiusly filed field, numbers should be selected (?) so you will not need to use "backspace" or "delete" to enter new value.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Dawid Gajownik 2006-02-04 10:47:06 EST
Comment 2 Jeremy Katz 2006-02-06 14:03:00 EST
We're going to be overhauling the screen for FC6 probably, so we'll look into
this then. 
Comment 3 Chris Lumens 2006-06-08 15:07:56 EDT
This widget has been removed to make it more simple to type in IPv6 addresses,
so this RFE no longer applies.

Note You need to log in before you can comment on or make changes to this bug.